import { ProjectGraph } from '../../config/project-graph';
import { LockFileData, PackageDependency, PackageVersions } from './lock-file-type';
/**
 * Checks whether the package is a root dependency
 * @param packageName
 * @param version
 * @returns
 */
export declare function isRootVersion(packageName: string, version: string): boolean;
export declare type TransitiveLookupFunctionInput = {
    packageName: string;
    parentPackages: string[];
    versions: PackageVersions;
    version: string;
};
declare type TransitiveLookupFunction = (data: TransitiveLookupFunctionInput) => PackageDependency;
/**
 * Returns node name depending whether it's root version or nested
 */
export declare function getNodeName(dep: string, version: string, rootVersion: boolean): `npm:${string}`;
export declare function mapExternalNodes(lockFileData: LockFileData, transitiveLookupFn: TransitiveLookupFunction): ProjectGraph<any>;
export {};
